summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPhilip Withnall <philip@tecnocode.co.uk>2016-03-04 01:37:17 +0000
committerPhilip Withnall <philip@tecnocode.co.uk>2016-03-04 01:37:17 +0000
commit736a38c027ac76bc49339bac60b8b22f855849ef (patch)
treee6a54fe7c5c1e940082ab0e3ddfe26bd70965d86
parent78c91df64913585d38a1f2701fb0c33a918e8e2d (diff)
downloadlibgdata-736a38c027ac76bc49339bac60b8b22f855849ef.tar.gz
build: Update autogen.sh from GNOME recommendation
https://wiki.gnome.org/Projects/GnomeCommon/Migration#autogen.sh This fixes a srcdir ≠ builddir issue.
-rwxr-xr-xautogen.sh30
1 files changed, 16 insertions, 14 deletions
diff --git a/autogen.sh b/autogen.sh
index 15f5b87f..9bf76733 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,37 +1,39 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-(test -f $srcdir/configure.ac) || {
- echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
+olddir=$(pwd)
+
+cd $srcdir
+
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
exit 1
}
-PKG_NAME=`autoconf --trace "AC_INIT:$1" "$srcdir/configure.ac"`
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
- echo "**Warning**: I am going to run \`configure' with no arguments." >&2
- echo "If you wish to pass any to it, please specify them on the" >&2
- echo \`$0\'" command line." >&2
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
echo "" >&2
fi
-set -x
-
aclocal --install || exit 1
gtkdocize --copy || exit 1
intltoolize --force --copy --automake || exit 1
-autoreconf --verbose --force --install -Wno-portability || exit 1
+autoreconf --verbose --force --install || exit 1
+cd "$olddir"
if [ "$NOCONFIGURE" = "" ]; then
$srcdir/configure "$@" || exit 1
if [ "$1" = "--help" ]; then exit 0 else
- echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
fi
else
echo "Skipping configure process."
fi
-
-set +x